int strlength(const char *string);

int strcomp(const char *s1,const char *s2);

char *strstring(const char *haystack,const char *needle);

char *strcharacter(const char *string,char c);

char *parse_until(const char *src,char *dest,char until);

char *reverse(char string[]);